/**
 * Created by SunQian on 2017/6/27.
 */

var vm;
var componentParentComment = {
    template: "#parent-comment-template",
    props: [ "data" ],
    methods: {
        init: function() {
            /** 处理评论表情 **/
            replaceCommentFace();
        },
        onShowMoreParentCommentClick: function( commentId, commentIds ) {
            /** 显示全部回复楼层 **/
            onClickMoreCommentReply( commentId, commentIds );
        },
        onClickContentImage: function( index, url, imageList ) {
            /** 打开评论大图 **/
            onClickCommentImage( index, url, imageList );
        }
    },
    updated: function() { this.init(); },
    mounted: function() { this.init(); }
};
Vue.component( "parent-comment", componentParentComment );

/**
 Android通知页面调用getBody方法，获得详细页JSON。
 因为Android直接传值，遇到特殊字符会有乱码。所以需要页面主动调用返回值。
 IOS没有这个问题。
 **/
function setBody( jsonString, themeColor, commentUrl ) {
    var detail;
    if( ( null == jsonString || "" == jsonString ) && window.java && typeof window.java.getBody == "function" ) {
        jsonString = window.java.getBody();
        detail = JSON.parse( jsonString );
    }
    else detail = jsonString;
    /** 处理评论盖楼数据，之后正式初始化Vue **/
    loopCommentIndex = -1;
    loopParentComment( detail.commentList, function( commentList ) {
    if(detail.text.indexOf('index_share.html?contentType=')>-1){
                detail.text = detail.text.replace(/index_share.html\?contentType=\d+&amp;contentId=\d+/g, '$&&amp;client=1');
            }
        /** 初始化数据 **/
        vm = new Vue( {
            el: ".base",
            data: {
                /* 获取评论的参数 */
                commentParams:{
                    contentId: detail.id,
                    type: detail.contentType,
                    orderFlag: 0,
                    pageNo: 0,
                    pageSize: 10,
                    parentId: 0
                },
                /* 评论是否加载完毕 */
                commentLoadOver: false,
                title: detail.title, source: detail.source, publishTime: detail.publishTime, editor: detail.editor,
                allowComment: detail.allowComment,
                topCount: detail.topCount,
                content: detail.text,
                showShare: detail.templateStyle.isSupportShare == true ? 1 : 0,
                showAd: detail.templateStyle.isSupportAd == true ? 1 : 0,
                showPraise: detail.templateStyle.isSupportThumbup == true ? 1 : 0,
                showComment: detail.templateStyle.isSupportLatestComment == true ? 1 : 0,
                showRelative: detail.templateStyle.isSupportRelatedNews == true ? 1 : 0,
                commentNum: detail.templateStyle.latestCommentsCount,
                relativeNum: detail.templateStyle.relatedNewsCount,
                /* 评论列表（一级）*/
                // commentList: commentList,
                commentList: [],
                relatedList: detail.relatedList,
                adList: detail.ads,
                vote: detail.vote,
                showVoteResult: false,
                voteTotalCount: 0,
                /**学习相关**/
                isStudy: detail.studyJson ? detail.studyJson.isStudy : 0,
                studyTime: detail.studyJson ? detail.studyJson.duration : 0,
                studyStatus: 0,
                study_minute: '00',
                study_second: '00',
                /** 是否是自媒体用户发布内容 **/
                isWeMedia: detail.selfChannelOrNot,
                /** 自媒体用户昵称 **/
                weMediaNick: "",
                /** 自媒体用户头像 **/
                weMediaPortrait: "",
                /** 是否订阅自媒体 **/
                weMediaSubscribed: 0,
                /** 是否显示开启订阅提示框 **/
                openSubscribe: 0,
                /* 标签 */
                tagList: detail.tags.length>0 ? detail.tags.split(/,|，|\s+/):[],
                /* 阅读量 */
                readCount: detail.playCount,
                isShowReadCount: detail.isShowPlayCount,
                                
                /* 记者号列表 */
                reporterMediaList: (!!detail.reporterFreJSONArray&&detail.reporterFreJSONArray.length>0)?detail.reporterFreJSONArray:[],
                /* 记者号 */
                reporterMedia: (!!detail.reporterFreJSONArray&&detail.reporterFreJSONArray.length>0)?detail.reporterFreJSONArray[0]:detail.reporterFreJSON,
                cId: detail.contentId,
                contentId: detail.id,
                contentType: detail.contentType
            },
            methods: {
                init: function() {
                    /** 处理正文中段首空格占位 **/
                    replaceNBSP();
                    /** 处理正文中的图片点击放大 **/
                    addImgListener();
                    /** 处理正文中的内链点击 **/
                    addContentLinkListener();
                    /** 处理正文中的视频 **/
                    replaceVideo();
                    /** 处理正文音频 **/
                    replaceAudio();
                    /** 强制处理图片、表格、内链 **/
                    formatContent();
                    /** 评论表情替换 **/
                    replaceCommentFace();
                    /** 处理主体颜色 **/
                    /*themeColor = themeColor || "#000";
                    $( ".theme_color" ).css( "color", themeColor );
                    $( ".theme_back" ).css( "background-color", themeColor );
                    $( ".theme_border" ).css( "border-color", themeColor );*/
                },
                showMoreComment: function() {
                    /** 更多评论 **/
                    this.commentParams.pageNo++;
                    getComments(this.commentParams);
                    // onClickMoreComment();
                },
                onClickCommentPraise: function( commentId, commentTopCount ) {
                    /** 评论点赞 **/
                    onClickTopComment( commentId, commentTopCount );
                },
                onClickCommentReply: function( commentId ) {
                    /** 评论回复 **/
                    onClickReplyComment( commentId );
                },
                onClickContentImage: function( index, url, imageList ) {
                    /** 打开评论大图 **/
                    onClickCommentImage( index, url, imageList );
                },
                onPraiseClick: function() {
                    /** 文章点赞 **/
                    onClickTop();
                },
                onRelatedClick: function( index, content ) {
                    /** 点击相关新闻 **/
                    onClickRelatedContent( content.contentId );
                },
                onAdClick: function( index, ad ) {
        /*        alert(JSON.stringify(ad))*/
                    /** 点击相关新闻 **/
                    onClickAd( ad.adId );
                },
                onShareClick: function( type ) {
             /*      alert("分享");*/
                    /** 点击分享 **/
                    if( type == "wx" ) onClickShareToMoments();
                    if( type == "moments" ) onClickShareToWeiXin();
                    if( type == "more" ) onClickShareToMore();
                    if( type == "qq" ) onClickShareToQQ();
                    if( type == "qzone" ) onClickShareToQZone();
                    if( type == "sina" ) onClickShareToSina();
                },
                onVoteItemChange: function( event ) {
                    /** 检测投票多选限制选中项数量 **/
                    var me = this;
                    if( event.target.checked
                        && me.vote.multiselect == 1
                        && me.vote.multiselectNumber > 0
                        && me.vote.multiselectNumber < $( ".vote" ).find( "input:checked" ).length ) {
                        alert( "最多可选择" + me.vote.multiselectNumber + "项" );
                        event.target.checked = false;
                    }
                },
                onVoteSubmitClick: function() {
                    /** 提交投票 **/
                    var me = this, itemIds = [];
                    $( ".vote" ).find( "input:checked" ).each( function( i, ele ) { itemIds.push( ele.value ); } );
                    onClickVoteSubmit( me.vote.voteId, itemIds.toString(), me.vote.drawRaffleId );
                },
                getVotePerLabel: function( count ) {
                    var me = this;
                    return Math.ceil( count * 10000 / me.voteTotalCount ) / 100 + "%";
                },
                subscribeWeMedia: function() {
                    /** 订阅自媒体 **/
                    onClickSubscribeWeMedia();
                },
                onWeMediaClick: function() {
                    /** 点击自媒体 **/
                    onClickWeMediaDetail();
                },
                /*点击开启订阅推送*/
                onOpenSubscribe: function () {

                    preventBubble();
                    onclickOpenSubscribe();
                },
                onClickStudyEnd:function () {
                    var me = this;
                    me.studyStatus = 0;
                    onClickStudyEnd();
                },
                /* 点击媒体号 */
                onMediaReporterClick(id){
                    onMediaReporter(id);
                },
                /* 点击标签 */
                onTagClick(tagName){
                    onTagSearch(tagName);
                },
                /* 查看更多评论回复 */
                onClickCommentMoreReply(commentId){
                    onCommentReplayMore(this.cId,this.contentId,this.contentType,commentId);
                }
            },
            updated: function() {
//                var me = this;
//                me.init();
            },
            mounted: function() {
                if(detail.selfChannelOrNot){
                    this.$data.weMediaNick = detail.channelJson.name;
                    this.$data.weMediaPortrait = detail.channelJson.lconImagePath;
                    this.$data.weMediaSubscribed = detail.channelJson.isSubscribe;
                }
                /** 显示页面 **/
                $( ".loading" ).remove();
                $( ".base" ).removeClass( "off" );
                /** 初始化 **/
                var me = this;
                me.init();
                /** 广告滑动设置 **/
                new Swiper( ".swiper-container", {
                    pagination: ".swiper-pagination",
                    paginationClickable: true,
                    slidesPerView: 1,
                    spaceBetween: 0,
                    loop: me.adList.length > 1,
                    autoplay: 2500,
                    autoplayDisableOnInteraction: false,
                    /*onClick: function( swiper, event ) { console.dir( swiper );
                        var index = ( swiper.activeIndex - 1 ) % me.adList.length;
                        me.onAdClick( index, me.adList[index] );
                    }*/
                } );

                if(me.isStudy == 1){
                    /*直接开始倒计时*/
                    function setTime() {
                        me.study_minute = parseInt( (me.studyTime / 60).toString() ) < 10 ? ("0"+parseInt( (me.studyTime / 60).toString() )) : parseInt( (me.studyTime / 60).toString() );
                        me.study_second = (me.studyTime % 60).toString() < 10 ? ("0"+(me.studyTime % 60).toString()) : (me.studyTime % 60).toString();
                    }
                    setTime();
                    var timer = setInterval(function () {
                        me.studyTime--;
                        if(me.studyTime <= 0 ){
                            me.studyStatus = 1;
                            me.studyTime = 0;
                            clearInterval(timer)
                        }
                        setTime()
                    },1000)

                }

                console.log(me.studyLoading,me.studyEnd)
            }
        });
        getComments(vm.$data.commentParams);
    } );
}




/** 处理评论盖楼数据，之后正式初始化Vue **/
var loopCommentIndex = -1;
function loopParentComment( list, callback ) {
    if( ++loopCommentIndex == list.length ) { callback( list ); return; }
    var comment = list[loopCommentIndex];
    var parentList = comment.parent.parentList;
    /** 楼层数多的时候，展示3条（1、2、more、n）和查看更多楼层。因为parentIds中包含当前评论的id，所以要-1获取楼层数 **/
    var treeLength = comment.parent.parentIds.split( "," ).length - 1;
    var showMoreButton = treeLength > 3 && parentList.length < treeLength;
    var pIndex = parentList.length;
    function loop( parentData ) {
        if( --pIndex < 0 ) { loopParentComment( list, callback ); return; }
        /** 起始楼层序号。
         * 全部展开，所有的按照楼层显示序号。
         * 折叠，显示1、2、点击查看更多楼层、n （ n表示全部楼层数，且n > 3 ）
         **/
        parentData.parentData = parentList[pIndex];
        parentData.parentData.rowNum = pIndex + 1;
        if( pIndex == parentList.length - 1 && showMoreButton ) {
            parentData.parentData.rowNum = treeLength;
            parentData.parentData.parentData = { isMore:true, comment:"显示全部楼层", commentId: comment.id, commentIds: comment.parent.parentIds };
            loop( parentData.parentData.parentData );
        }
        else {
            loop( parentData.parentData );
        }
    }
    loop( comment );
}

/* 评论提交完之后刷新评论列表 */
function onCommentSubmited(){
    vm.$data.commentParams.pageNo = 0;
    vm.$data.commentLoadOver = false;
    getComments(vm.$data.commentParams);
}

/* 获取评论 */
function getComments(params){
    /*var p = {
        contentId: params.contentId,
        type: params.type,
        orderFlag: params.orderFlag,
        pageNo: 0,
        pageSize: params.pageSize,
        memberId: params.memberId
    }*/

    $.ajax({
        type: 'post',
        data: params,
        url: 'http://jmwap.ctdsb.net:8089/amc/client/listCommentsWithChildsByContentIdAndTypeAndParentId',
//        url: 'http://58.48.177.23:8080/amc/client/listCommentsWithChildsByContentIdAndTypeAndParentId',
        dataType: 'jsonp',
        success: function(res) {
            if(res.suc==1){
                if(params.pageNo==0){
                    vm.$data.commentList = res.data.commentList;
                }else{
                    vm.$data.commentList = vm.$data.commentList.concat(res.data.commentList);
                }
                var total = res.data.totalComment;
                var pageTotal = Math.ceil(total/params.pageSize);
                if(params.pageNo==(pageTotal-1)){
                    vm.$data.commentLoadOver = true;
                }
                onRequestComplete(res.data.contentAllCommentCount);
            }
        },
        error: function(e) {
            console.log(e);
        }
    });
}

/** 处理正文中的段首占位空格 **/
function replaceNBSP() {
    if(  $( ".content" ).length == 0 ) return;
    var nodes = $( ".content" ).get(0).childNodes;
    if( nodes )
        for( var i = 0; i < nodes.length; i++ ) {
            var innerHTML = nodes[i].innerHTML;
            if( innerHTML ) {
                var str = "";
                for( var s = 0; s < innerHTML.length; s++ ) {
                    if( innerHTML[s] == " " )
                        str += "&nbsp;";
                    else {
                        if( s > 0 ) innerHTML = innerHTML.replace( innerHTML.substr( 0, s ), str );
                        break;
                    }
                }
                nodes[i].innerHTML = innerHTML;
            }
            if(nodes[i].style&&nodes[i].style.textAlign&&nodes[i].style.textAlign.length>0&&nodes[i].style.textAlign== 'center'){
                nodes[i].style.textIndent = 0;
            }
        }
}




/** 处理正文中的内链点击 **/
function addContentLinkListener() {
    $( ".content label[data-plugin-type='content']" ).each( function( i, lab ) {
        lab.onclick = onClickContentLink;
    } );
}




/** 处理正文中的图片点击放大 **/
function addImgListener() {
    $( ".content img" ).each( function( i, img ) {
        if( img.getAttribute( "data-plugin-type" == "video" ) ) return true;
        img.setAttribute( "data-index", i );
        img.onclick = onClickContentImage;
    } );
}




/** 处理正文视频 **/
function replaceVideo() {
    /**
     <section data-plugin-type='video' style='text-align:center;margin-bottom:1em;'>
     <img src='节目图片' data-value='节目JSON' style='max-width:100%;height:auto;margin:10px auto;'></img>
     </section>
     **/
    /**
     {
        id: [ Integer ] 节目ID,
        createdTime: [ String ] 创建时间，yyyy-MM-dd hh:mm:ss,
        programName: [ String ] 节目名称,
        image: [ String ] 节目缩略图,
        video: [ Object ] 节目下视频
        {
            videoId: [ Integer ] 视频ID,
            displayName: [ String ] 视频名称,
            videoImage: [ String ] 视频图片,
            streamList: [ Array ] 码流列表
            [
                {
                    streamId: [ Integer ] 码流名称ID,
                    streamDisplayName: [ String ] 码流显示名称
                    url: [ String ] 完整播放地址,
                    isDefault: [ Integer ] 默认播放1、是；0、否
                }
            ]
        }
     }
     **/
    $( "section[data-plugin-type='video']" ).each( function( i, section ) {
        $( section ).find( "div" ).replaceWith( "<div class='video_play_btn'></div>" );
        $( section ).find( ".video_play_btn" ).unbind( "click" );
        $( section ).find( ".video_play_btn" ).bind( "click", function( event ) {
            var program = JSON.parse( $( event.target ).parent( "section" ).find( "img" ).get(0).getAttribute( "data-value" ) );
            if( null == program ) return;
            var video = program.video;
            if( null == video ) return;
            if( null == video.streamList ) return;
            if( 0 == video.streamList.length ) return;
            var stream = video.streamList[0];
            for( var s = 0; s < video.streamList.length; s++ )
                if( video.streamList[s].isDefault == 1 )
                    stream = video.streamList[s];

            onClickVideo( stream.url );
        } );

    } );
}




/** 处理正文音频 **/
function replaceAudio() {
    $( "embed[data-plugin-type='audio']" ).each( function( index, embed ) {
        var program = JSON.parse( decodeURIComponent( embed.getAttribute( "data-value" ) ) );
        console.dir( program );
        var url = program.mmsURL + "/amc/getProgramVideoPlayUrl.jspa?callback=?";
        $.getJSON( url, { programId:program.id, programVideoId:program.video.videoId, videoType:"PC" }, function( res ) {
            var stream = res.data.streamList[0];
            $( embed ).replaceWith( "<audio controls src='" + stream.url + "'></audio>" );
        } );
    } );
}




/** 点击播放视频 **/
function onClickVideo( url ) {
    if ( window.java )
        window.java.onClickVideo( url );
    else window.location = "(" + url + "(playVideo";
}




/** 点击显示大图 **/
function onClickContentImage( event ) {
    var index = this.getAttribute( "data-index" );
    var list = new Array();
    //$( ".content img[data-plugin-type='image']" ).each( function( i, img ) {
    $( ".content" ).find( "img" ).each( function( i, img ) {
        list.push( img.src );
    } );
    var url = list[index];
    if( !url ) url = this.src;
    if ( window.java )
        window.java.onClickImage( "[" + list.toString() + "]", url, index );
    else window.location = "(" + list.toString() + "(" + url + "(" + index +"(onClickImage";
}



/** 点击通知app打开内链 **/
function onClickContentLink() {
    var id = this.getAttribute( "data-id" );
    var originalId = this.getAttribute( "data-original-id" );
    var contentType = this.getAttribute( "data-content-type" );

    if ( window.java ) {
        window.java.onClickContentLink( id, originalId, contentType );
    }
    else window.location = "(" + id + "(" + originalId + "(" + contentType + "(onClickContentLink";
}



/** 强制处理图片、表格、内链 **/
function formatContent() {
    $( ".content img, .content table" ).each( function( i, elem ) {
        if( elem.getAttribute( "data-plugin-type" ) == "video" ) return true;
        elem.style.maxWidth = "100%";
        elem.style.minWidth = "auto";
        elem.style.width = "auto";
        elem.style.height = "auto";
        elem.style.margin = "0";
    } );
    $( "section[data-plugin-type]").css( "text-indent", "0" );
    $( "section[data-plugin-type]" ).find( "center" ).css( "text-indent", "0" );
}




/** 评论表情替换 **/
function replaceCommentFace() {
    $( ".comment" ).find( "emo" ).each( function( i, emo ) {
        $( emo ).replaceWith( "<img src='images/face/" + emo.innerHTML.split( "|" )[0] + ".gif'/>" );
    } );
}




/** 评论盖楼 **/
function loopReply( reList, selector, showMore, createComplete ) {
    var r = reList.length;
    function loop( container )
    {
        if( --r < 0 ) {
            if( showMore )
                $( selector ).before( "<div class='reply_more'>查看更多回复</div>" );
            createComplete(); return;
        }
        if( waitting ) { return; }
        var re = reList[r];
        var className = "reply";
        if( r == reList.length - 1 ) className += " reply_base";
        if( r == 0 ) className += " reply_inner";
        var str = "";
        str += "<div class='" + className + "'>";
        str +=        "<label class='reply_num'>" + re.number + "</label>";
        str +=        "<label class='reply_nick'>" + re.nick + "</label>";
        str +=        "<div class='reply_cmt'>" + re.comment + "</div>";
        str += "</div>";
        container.before( str );
        container = container.parent().find( ".reply .reply_num" );
        loop( container );
    }
    loop( $( selector ) );
}




/** 点击相关内容 **/
function onClickRelatedContent( id ) {
    if ( window.java )  window.java.onClickRelatedContent( id );
    else window.location = "(" + id + "(gotonetNews";
}




/** 广告点击 **/
function onClickAd( adId ) {

/*alert(adId);*/
    if ( window.java ) {
        window.java.onClickAd( adId );
    }
    else window.location = "(" + adId + "(onClickAd";
}




/** 查看更多评论评论列表 **/
function onClickMoreComment() {
    if ( window.java ) {
        window.java.onClickMoreComment();
    }
    else window.location = "moreComments";
}




/** 评论点赞 **/
function onClickTopComment( commentId, topCount ) {// setCommentTop( commentId, 123445 ); return;
    if ( window.java ) window.java.onClickTopComment( commentId );
    else window.location = "(" + commentId + "(" + topCount + "(onClickTopComment";
}




/** 评论回复 **/
function onClickReplyComment( commentId ) {
    if ( window.java ) window.java.onClickReplyComment( commentId );
    else window.location = "(" + commentId + "(onClickReplyComment";
}




/** 打开评论大图 **/
function onClickCommentImage( index, url, imageList ) {
    var list = [];
    for( var i = 0; i < imageList.length; i++ ) list.push( imageList[i].pictureUrl );
    if ( window.java )
        window.java.onClickCommentImage( "[" + list.toString() + "]", url, index );
    else window.location = "(" + list.toString() + "(" + url + "(" + index +"(onClickCommentImage";
}




/** 显示全部回复楼层 **/
function onClickMoreCommentReply( commentId, commentIds ) {
    //var url = "http://120.26.128.238:8080/amc/client/listCommentByCommentIds?callback=?";
    //$.getJSON( url, { commentIds: commentIds }, function( res ) { setMoreCommentReply( commentId, res ); } );
    //return;
    if ( window.java ) window.java.onClickMoreCommentReply( commentId, commentIds );
    else window.location = "(" + commentId + "(" + commentIds + "(onClickMoreCommentReply";
}




/** 文章点赞 **/
function onClickTop() {// setTop( 10000 ); return;
    if ( window.java ) window.java.onClickTop();
    else window.location = "top";
}

/*切换为点赞后的状态*/
function changedToTop(topCount){
    if( vm ) vm.$data.topCount = topCount;

    $(".praise").addClass("praised");

}

/*切换为未点赞的状态*/
function unChangedToTop(topCount){
    
    if( vm ) vm.$data.topCount = topCount;

    $(".praise").removeClass("praised");
}


/** 点赞，动画效果，数量 +1， **/
function setTop( topCount ) {
    if( vm ) vm.$data.topCount = topCount;
    /** 显示+1动画 **/
    var span = "<span class='zan_info'>+1</span>";
    $( ".center" ).append( span );
    setTimeout( function(){ $(".zan_info").css( "top", -30 ); }, 100 );
    setTimeout( function(){ $(".zan_info").css( "opacity", 0.2 ); }, 100 );
    setTimeout( function(){ $(".zan_info").remove(); }, 600 );
    $(".praise").addClass("praised");
}


/** 取消点赞，动画效果，数量-1 **/
function unSetTop(topCount){
    /** 显示+1动画 **/
    var span = "<span class='zan_quxiao'>-1</span>";
    $( ".center" ).append( span );
    setTimeout( function(){ $(".zan_quxiao").css( "top", -30 ); }, 100 );
    setTimeout( function(){ $(".zan_quxiao").css( "opacity", 0.2 ); }, 100 );
    setTimeout( function(){ $(".zan_quxiao").remove(); }, 600 );
    if( vm ) vm.$data.topCount = topCount;
    $(".praise").removeClass("praised");
}


function changebg(isGray){
    if(isGray){
        $('html').addClass('graybg');
      }else{
        $('html').removeClass('graybg');
      }
}

/** 分享到微信盆友圈 **/
function onClickShareToWeiXin() {
    if ( window.java ) window.java.onClickShareToWeiXin();
    else window.location = "wxpy";
}




/** 分享到微信好友 **/
function onClickShareToMoments() {
    if ( window.java ) window.java.onClickShareToMoments();
    else window.location = "wx";
}




/** 分享到QQ **/
function onClickShareToQQ() {
    if ( window.java ) window.java.onClickShareToQQ();
    else window.location = "qq";
}




/** 分享到QQ空间 **/
function onClickShareToQZone() {
    if ( window.java ) window.java.onClickShareToQZone();
    else window.location = "qzone";
}




/** 分享到新浪微博 **/
function onClickShareToSina() {
    if ( window.java ) window.java.onClickShareToSina();
    else window.location = "sina";
}




/** 更多分享 **/
function onClickShareToMore() {
    if ( window.java ) window.java.onClickShareToMore();
    else window.location = "onClickShareToMore";
}




/** 提交投票 **/
function onClickVoteSubmit( voteId, itemIds, drawRaffleId ) { //setVoteResult( JSON.stringify( { vote: vm.$data.vote } ) ); return;
    if ( window.java ) window.java.submitVote( voteId, itemIds, drawRaffleId );
    else window.location = "(" + voteId + "(" + itemIds + "(" + drawRaffleId + "(submitVote";
}




/** 评论点赞数量 **/
function setCommentTop( commentId, topCount ) {
    if( vm ) {
     for( var i = 0; i < vm.$data.commentList.length;  i++ ){
                 if( vm.$data.commentList[i].id == commentId ){
                     vm.$data.commentList[i].topCount = topCount;
                     $($(".praise_button:eq(" + i + ")")).addClass('praised');
                 }
               }
    }
}




/** 设置投票结果 **/
function setVoteResult( jsonString ) {
    var result;
    if( window.java && typeof window.java.getVoteResult == "function" ) {
        jsonString = window.java.getVoteResult();
        result = JSON.parse( jsonString );
    }
    else result = jsonString;
    var vote = result.vote;
    var voteTotalCount = 0;
    for( var i = 0; i < vote.itemList.length; i++ ) voteTotalCount += Number( vote.itemList[i].count );
    if( vm ) {
        vm.$data.voteTotalCount = Math.max( voteTotalCount, 1 );
        vm.$data.vote = vote;
        vm.$data.showVoteResult = true;
    }
}




/** 设置更多评论楼层 **/
function setMoreCommentReply( commentId, jsonString ) {
    var result;
    if( window.java && typeof window.java.getMoreCommentReply == "function" ) {
        jsonString = window.java.getMoreCommentReply();
        result = JSON.parse( jsonString );
    }
    else result = jsonString;
    /** 列表最后一项数组，是当前要展现的评论的所有楼层（包括当前评论） **/
    var list = result.data.list[ result.data.list.length - 1 ];
    var comment, index;
    if( vm ) {
        for( var i = 0; i < vm.$data.commentList.length; i++ )
            if( commentId == vm.$data.commentList[i].id ) index = i;
        comment = vm.$data.commentList[index];
        if( comment ) {
            /** 去掉评论楼层中的当前评论 **/
            comment.parent.parentList = list.slice( 0, list.length - 1 );
            loopCommentIndex = -1;
            loopParentComment( [ comment ], function( commentList ) {
                vm.$data.commentList[index] = commentList[0];
            } );
        }
    }
}

/** 客户端调用，强制停止所有音视频播放 **/
function stopMedia() {
    $( "video, audio" ).each( function( index, media ) {
        media.pause();
    } );
}

/** 订阅自媒体 **/
function  onClickSubscribeWeMedia() {
    //setWeMedia( "", null, !vm.$data.weMediaSubscribed ); return;
    /** 通知客户端自媒体订阅（取消订阅） **/
    if ( window.java ) window.java.subscribeWeMedia();
    else window.location = "subscribeWeMedia";
}

/** 点击自媒体 **/
function  onClickWeMediaDetail() {
    /** 通知客户端打开自媒体主页 **/
    if ( window.java ) window.java.onClickWeMediaDetail();
    else window.location = "onClickWeMediaDetail";
}

/*改变自媒体订阅状态传1为修改为已经订阅状态 0为改为为订阅状态*/
function changeWeMediaStatus( status ) {
    if(vm){
        vm.$data.weMediaSubscribed = status;
    }
}


/** 设置自媒体信息 **/
function setWeMedia( nickName, portrait, subscribed ) {
    nickName = nickName || "";
    portrait = portrait || "images/user_default.png";
    subscribed = 1 == ( Number( subscribed || 0 ) );
    if( "" == nickName ) nickName = "自媒体";
    if( "" == portrait ) portrait = "";
    if( vm ) {
        vm.$data.isWeMedia = 1;
        vm.$data.weMediaNick = nickName;
        vm.$data.weMediaPortrait = portrait;
        vm.$data.weMediaSubscribed = subscribed;
    }
}


function preventBubble(event){
    var e=arguments.callee.caller.arguments[0]||event; //若省略此句，下面的e改为event，IE运行可以，但是其他浏览器就不兼容
    if (e && e.stopPropagation) {
        e.stopPropagation();
    } else if (window.event) {
        window.event.cancelBubble = true;
    }
}

/** 通知客户端点击了学习完成按钮 **/
function onClickStudyEnd(){
    if ( window.java ) window.java.onClickStudyEnd();
    else window.location = "onClickStudyEnd";
}

/* 点击记者号，跳转记者号 */
function onMediaReporter(id){
    if ( window.java ) window.java.onMediaReporter(id);
    else window.location = "(" + id + "(onMediaReporter";
}

/* 点击标签跳转搜索页 */
function onTagSearch(tagName){
    if ( window.java ) window.java.onTagSearch(tagName);
    else window.location = "(" + tagName + "(onTagSearch";
}

/* 查看更多评论回复 */
function onCommentReplayMore(cId,contentId,contentType,commentId){
    if ( window.java ) window.java.onCommentReplayMore(cId,contentId,contentType,commentId);
    else window.location = "(" + cId + "(" + contentId + "(" + contentType + "(" + commentId + "(onCommentReplayMore";
}

function onRequestComplete(commentTotalCount){
    if ( window.java ) window.java.onRequestComplete(commentTotalCount);
    else window.location = "(" + commentTotalCount + "(onRequestComplete";
}

/* 跳转到正文部分 */
function toLocationTitle(){
    var top = vm.$refs.titleLocation.offsetTop;
    window.scrollTo({
        left: 0,
        top: top,
        behavior: "smooth"
    });
}

/* 跳转到评论区 */
function toLocationComment(){
    var top = vm.$refs.commentLocation.offsetTop;
    window.scrollTo({
        left: 0,
        top: top,
        behavior: "smooth"
    });
}

/** 修改学习按钮状态为已完成 如果 status为状态 成功：1，失败：0 **/
function changeStudyStatus( status ) {
    if(vm && status){
        vm.$data.studyStatus = 3;
    }else{
        vm.$data.studyStatus = 1;
    }
}

/** 通知客户端 用户点击了开启订阅号推送功能 **/
function onclickOpenSubscribe() {
    if ( window.java ) window.java.onclickOpenSubscribe();
    else window.location = "onclickOpenSubscribe";
}
/** 显示是否开启推送的提示 **/
function showOpenSubscribeTip() {
    if(vm){
        vm.$data.openSubscribe = 1;
    }
}
/** 隐藏是否开启推送的提示 **/
function hideOpenSubscribeTip() {
    if(vm){
        vm.$data.openSubscribe = 0;
    }
}


/*body点击或者页面滑动隐藏是否开启推送的提示*/
var isIos = true;
/*if(window.java){
    isIos = false;
}*/
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
// var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
if(isAndroid){
    isIos = false;
}
if(!isIos){
    document.getElementsByTagName("body")[0].addEventListener("touchstart",function(e){
        if(  e.path[0].className.indexOf("su") == -1 ){
            hideOpenSubscribeTip()
        }
    });
}
if(isIos){
    document.getElementsByTagName("body")[0].addEventListener("touchstart",function(event){
        if ( !event.target.getAttribute("class") || event.target.getAttribute("class").indexOf("su") == -1){
            hideOpenSubscribeTip()
        }
    });
}



